capture log close
clear 
set more off
set mem 700m
set matsize 700

// Use your prefered location
cd T:\Direct_dem_econometrica\

use data\Direct_democracy_1919-1938, replace

tsset code8 year, yearly

// Some space consuming locals for control functions and baseline variables

// Local for control function for same slope 
//t-1
local controlsame1 zeropop 
local controlsame2 zeropop zeropop2
local controlsame3 zeropop zeropop2 zeropop3
//1918
local controlsame19191 zeropop1919 
local controlsame19192 zeropop1919 zeropop19192
local controlsame19193 zeropop1919 zeropop19192 zeropop19193

//Gen local for the control function t-1
local controll1 zeropop zeropopsmall
local controll2 zeropop zeropopsmall zeropop2 zeropopsmall2
local controll3 zeropop zeropopsmall zeropop2 zeropopsmall2 zeropop3 zeropopsmall3

//Gen local for the control function 1919
local control_19191 zeropop1919 zeropop1919small
local control_19192 zeropop1919 zeropop1919small zeropop19192 zeropop1919small2
local control_19193 zeropop1919 zeropop1919small zeropop19192 zeropop1919small2 zeropop19193 zeropop1919small3

// Local for baseline controls for t-1
local c    logcap_poor1918 logcap_poor_external1918 logcap_poor_internal1918 no_org_citizen1917_share  nr_poor_relief1917 nr_old_on_poor_relief1917  ///
nr_dir_child_poor_r1917  nr_child_on_poor_r1917  nr_fullpoor_1917  nr_poor_external1917 nr_poor_internal1917  poorhouse1917 ///
poorslots1917  area1918 land_area1918 arable_land1918  realtaxbase1918 shareagri1917 population1918  elig_state1917  turnout_state1917 ///
leftvote1917   

// Local for baseline controls for pop 1918
local d    logcap_poor1918 logcap_poor_external1918 logcap_poor_internal1918 no_org_citizen1917_share  nr_poor_relief1917 nr_old_on_poor_relief1917  ///
nr_dir_child_poor_r1917  nr_child_on_poor_r1917  nr_fullpoor_1917  nr_poor_external1917 nr_poor_internal1917  poorhouse1917 ///
poorslots1917  area1918 land_area1918 arable_land1918  realtaxbase1918 shareagri1917   elig_state1917  turnout_state1917 ///
leftvote1917   



//Note, logcap_poor and Direct_democracy are for the main analysis, percap_poor and logrealpoor are for the online appendix
// When naming the output files red refers to reduced form, conred to reduced form with controls. Treat refers to treament effect and contreat to treatment with controls.
// min1 refers to forcing variable t-1 and 19_26 refers to the second design with forcing variable 1918. Then the variable name will follow and the order of polynomial.


// Starting with forcing variable t-1, table 3 and appendix A11, A21, A31 and A41

foreach var of varlist  logcap_poor Direct_democracy percap_poor logrealpoor {

ivreg2 `var' min_1d `controll1' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll1' dum**)    
outreg2 using tables\3_A31_A41\red_form_min1`var'linear.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))


// with controls 

ivreg2 `var' min_1d `controll1' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll1' `c' dum**)    
outreg2 min_1d using tables\3_A31_A41\conred_form_min1`var'linear.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
// with controls and higher order polynomials for appendix
foreach var of varlist  logcap_poor Direct_democracy  {

ivreg2 `var' min_1d `controlsame1' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controlsame1' `c' dum**)    
outreg2 min_1d using tables\A21\conred_form_min1`var'same1.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controlsame2' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controlsame2' `c' dum**)    
outreg2 min_1d using tables\A21\conred_form_min1`var'same2.doc, ctitle("20", "`var'" "2nd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controlsame3' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controlsame3' `c' dum**)    
outreg2 min_1d using tables\A21\conred_form_min1`var'same3.doc, ctitle("20", "`var'" "3rd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))


ivreg2 `var' min_1d `controll1' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll1' `c' dum**)    
outreg2 min_1d using tables\A11\conred_form_min1`var'1.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controll2' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll2' `c' dum**)    
outreg2 min_1d using tables\A11\conred_form_min1`var'2.doc, ctitle("20", "`var'" "2nd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controll3' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll3' `c' dum**)    
outreg2 min_1d using tables\A11\conred_form_min1`var'3.doc, ctitle("20", "`var'" "3rd" ) replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}

foreach var of varlist  logcap_poor Direct_democracy percap_poor logrealpoor {

forvalues j= 40(20)120{

ivreg2 `var' min_1d `controll1' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll1' dum**)     
outreg2 min_1d using tables\3_A31_A41\red_form_min1`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// with controls 

ivreg2 `var' min_1d `controll1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll1' `c' dum**)     
outreg2 min_1d using tables\3_A31_A41\conred_form_min1`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}
}

// with controls and higher order polynomials for appendix

foreach var of varlist  logcap_poor Direct_democracy  {

forvalues j= 40(20)120{

ivreg2 `var' min_1d `controlsame1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame1' `c' dum**)     
outreg2 min_1d using tables\A21\conred_form_min1`var'same1.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controlsame2' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame2' `c' dum**)     
outreg2 min_1d using tables\A21\conred_form_min1`var'same2.doc, ctitle("`j'", "`var'", "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controlsame3' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame3' `c' dum**)     
outreg2 min_1d using tables\A21\conred_form_min1`var'same3.doc, ctitle("`j'", "`var'", "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))


ivreg2 `var' min_1d `controll1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll1' `c' dum**)     
outreg2 min_1d using tables\A11\conred_form_min1`var'1.doc, ctitle("`j'", "`var'" "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controll2' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll2' `c' dum**)     
outreg2 min_1d using tables\A11\conred_form_min1`var'2.doc, ctitle("`j'", "`var'" "2nd" ) append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controll3' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll3' `c' dum**)     
outreg2 min_1d using tables\A11\conred_form_min1`var'3.doc, ctitle("`j'", "`var'" "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}

foreach var of varlist  logcap_poor Direct_democracy {


forvalues j= 150(50)300{

// with controls and higher order polynomials for appendix

ivreg2 `var' min_1d `controlsame1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame1' `c' dum**)     
outreg2 min_1d using tables\A21\conred_form_min1`var'same1.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controlsame2' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame2' `c' dum**)     
outreg2 min_1d using tables\A21\conred_form_min1`var'same2.doc, ctitle("`j'", "`var'", "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controlsame3' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame3' `c' dum**)     
outreg2 min_1d using tables\A21\conred_form_min1`var'same3.doc, ctitle("`j'", "`var'", "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))


ivreg2 `var' min_1d `controll1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll1' `c' dum**)     
outreg2 min_1d using tables\A11\conred_form_min1`var'1.doc, ctitle("`j'", "`var'" "Linear" ) append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controll2' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll2' `c' dum**)     
outreg2 min_1d using tables\A11\conred_form_min1`var'2.doc, ctitle("`j'", "`var'"  "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controll3' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll3' `c' dum**)     
outreg2 min_1d using tables\A11\conred_form_min1`var'3.doc, ctitle("`j'", "`var'" "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}

// Treatment effect

foreach var of varlist logcap_poor percap_poor logrealpoor  {

ivreg2 `var' (Direct_democracy= min_1d) `controll1' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll1' dum**)    
outreg2 Direct_democracy using tables\3_A31_A41\treat_form_min1`var'linear.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// with controls 

ivreg2 `var' (Direct_democracy= min_1d) `controll1' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll1' `c' dum**)    
outreg2 Direct_democracy using tables\3_A31_A41\contreat_form_min1`var'linear.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}

// with controls and higher order polynomials for appendix

foreach var of varlist logcap_poor {

ivreg2 `var' (Direct_democracy= min_1d) `controlsame1' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controlsame1' `c' dum**)    
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same1.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controlsame2' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controlsame2' `c' dum**)    
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same2.doc, ctitle("20", "`var'" "2nd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controlsame3' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controlsame3' `c' dum**)    
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same3.doc, ctitle("20", "`var'" "3rd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll1' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll1' `c' dum**)    
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'1.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll2' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll2' `c' dum**)    
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'2.doc, ctitle("20", "`var'" "2nd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll3' `c' dum**  if zeropop<=20 & zeropop>=-20 , cluster (code8 zeropop) partial(`controll3' `c' dum**)    
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'3.doc, ctitle("20", "`var'" "3rd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}

foreach var of varlist logcap_poor percap_poor logrealpoor  {

forvalues j= 40(20)120{

ivreg2 `var' (Direct_democracy= min_1d) `controll1' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll1' dum**)     
outreg2 Direct_democracy using tables\3_A31_A41\treat_form_min1`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// with controls 

ivreg2 `var' (Direct_democracy= min_1d) `controll1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll1' `c' dum**)     
outreg2 Direct_democracy using tables\3_A31_A41\contreat_form_min1`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}
}
foreach var of varlist logcap_poor {
forvalues j= 40(20)120{

// with controls and higher order polynomials for appendix

ivreg2 `var' (Direct_democracy= min_1d) `controlsame1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame1' `c' dum**)     
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same1.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controlsame2' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame2' `c' dum**)     
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same2.doc, ctitle("`j'", "`var'", "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controlsame3' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame3' `c' dum**)     
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same3.doc, ctitle("`j'", "`var'", "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll1' `c' dum**)     
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'1.doc, ctitle("`j'", "`var'" "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll2' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll2' `c' dum**)     
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'2.doc, ctitle("`j'", "`var'" "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll3' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll3' `c' dum**)     
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'3.doc, ctitle("`j'", "`var'" "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}
foreach var of varlist logcap_poor  {

forvalues j= 150(50)300{


ivreg2 `var' (Direct_democracy= min_1d) `controlsame1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame1' `c' dum**)     
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same1.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controlsame2' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame2' `c' dum**)     
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same2.doc, ctitle("`j'", "`var'", "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controlsame3' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controlsame3' `c' dum**)     
outreg2 Direct_democracy using tables\A21\contreat_form_min1`var'same3.doc, ctitle("`j'", "`var'", "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
	
ivreg2 `var' (Direct_democracy= min_1d) `controll1' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll1' `c' dum**)     
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'1.doc, ctitle("`j'", "`var'" "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll2' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll2' `c' dum**)     
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'2.doc, ctitle("`j'", "`var'" "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll3' `c' dum**  if zeropop<=`j' & zeropop>=-`j' , cluster (code8 zeropop) partial(`controll3' `c' dum**)     
outreg2 Direct_democracy using tables\A11\contreat_form_min1`var'3.doc, ctitle("`j'", "`var'" "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}


//table 5 up to 1925 and appendix A12, A22, A32 and A42

foreach var of varlist logcap_poor Direct_democracy percap_poor logrealpoor  {

ivreg2 `var' d1919 `control_19191' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919)  partial(`control_19191' dum**)     
outreg2 d1919 using tables\5_A32_A42\red_form_1919_26`var'linear.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// with controls 

ivreg2 `var' d1919 `control_19191' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 d1919 using tables\5_A32_A42\conred_form_1919_26`var'linear.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}

foreach var of varlist logcap_poor Direct_democracy   {
// with controls and higher order polynomials for appendix

ivreg2 `var' d1919 `controlsame19191' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`controlsame19191' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same1.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `controlsame19192' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`controlsame19192' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same2.doc, ctitle("20", "`var'", "2nd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `controlsame19193' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`controlsame19193' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same3.doc, ctitle("20", "`var'", "3rd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `control_19191' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'1.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `control_19192' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`control_19192' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'2.doc, ctitle("20", "`var'" "2nd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `control_19193' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`control_19193' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'3.doc, ctitle("20", "`var'" "3rd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}

foreach var of varlist logcap_poor Direct_democracy percap_poor logrealpoor  {

forvalues j= 30(10)60{

ivreg2 `var' d1919 `control_19191' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19191' dum**)    
outreg2 d1919 using tables\5_A32_A42\red_form_1919_26`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// with controls 

ivreg2 `var' d1919 `control_19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 d1919 using tables\5_A32_A42\conred_form_1919_26`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}
}

foreach var of varlist logcap_poor Direct_democracy   {
// with controls and higher order polynomials for appendix

forvalues j= 30(10)60{
ivreg2 `var' d1919 `controlsame19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19191' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same1.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `controlsame19192' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19192' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same2.doc, ctitle("`j'", "`var'", "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `controlsame19193' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19193' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same3.doc, ctitle("`j'", "`var'", "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))


ivreg2 `var' d1919 `control_19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'1.doc, ctitle("`j'", "`var'" "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `control_19192' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19192' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'2.doc, ctitle("`j'", "`var'" "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `control_19193' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19193' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'3.doc, ctitle("`j'", "`var'" "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}

foreach var of varlist logcap_poor Direct_democracy  {
// with controls and higher order polynomials for appendix

forvalues j= 100(50)300{

ivreg2 `var' d1919 `controlsame19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19191' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same1.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `controlsame19192' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19192' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same2.doc, ctitle("`j'", "`var'", "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `controlsame19193' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19193' `d' dum**)    
outreg2 d1919 using tables\A22\conred_form_1919_26`var'same3.doc, ctitle("`j'", "`var'", "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))


ivreg2 `var' d1919 `control_19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'1.doc, ctitle("`j'", "`var'" "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `control_19192' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19192' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'2.doc, ctitle("`j'", "`var'" "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `control_19193' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19193' `d' dum**)    
outreg2 d1919 using tables\A12\conred_form_1919_26`var'3.doc, ctitle("`j'", "`var'" "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}

// Getting the treatment effect

foreach var of varlist logcap_poor  logrealpoor percap_poor  {

ivreg2 `var' (Direct_democracy=d1919) `control_19191' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919)  partial(`control_19191' dum**)     
outreg2 Direct_democracy using tables\5_A32_A42\treat_form_1919_26`var'linear.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))


// with controls 

ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 Direct_democracy using tables\5_A32_A42\contreat_form_1919_26`var'linear.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}

foreach var of varlist logcap_poor   {
// with controls and higher order polynomials for appendix


ivreg2 `var' (Direct_democracy=d1919) `controlsame19191' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`controlsame19191' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same1.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `controlsame19192' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`controlsame19192' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same2.doc, ctitle("20", "`var'", "2nd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `controlsame19193' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`controlsame19193' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same3.doc, ctitle("20", "`var'", "3rd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'1.doc, ctitle("20", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19192' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`control_19192' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'2.doc, ctitle("20", "`var'" "2nd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19193' `d' dum**  if zeropop1919<=20 & zeropop1919>=-20 & year<1926, cluster (code8 zeropop1919) partial(`control_19193' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'3.doc, ctitle("20", "`var'" "3rd") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}

foreach var of varlist logcap_poor  logrealpoor percap_poor  {

forvalues j= 30(10)60{

ivreg2 `var' (Direct_democracy=d1919) `control_19191' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19191' dum**)    
outreg2 Direct_democracy using tables\5_A32_A42\treat_form_1919_26`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// with controls 

ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 Direct_democracy using tables\5_A32_A42\contreat_form_1919_26`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}
}

foreach var of varlist logcap_poor   {
// with controls and higher order polynomials for appendix

forvalues j= 30(10)60{
ivreg2 `var' (Direct_democracy=d1919) `controlsame19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19191' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same1.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `controlsame19192' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19192' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same2.doc, ctitle("`j'", "`var'", "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `controlsame19193' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19193' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same3.doc, ctitle("`j'", "`var'", "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'1.doc, ctitle("`j'", "`var'" "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19192' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19192' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'2.doc, ctitle("`j'", "`var'" "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19193' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19193' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'3.doc, ctitle("`j'", "`var'" "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}
foreach var of varlist logcap_poor  {
// with controls and higher order polynomials for appendix

forvalues j= 100(50)300{

ivreg2 `var' (Direct_democracy=d1919) `controlsame19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19191' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same1.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `controlsame19192' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19192' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same2.doc, ctitle("`j'", "`var'", "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `controlsame19193' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`controlsame19193' `d' dum**)    
outreg2 Direct_democracy using tables\A22\contreat_form_1919_26`var'same3.doc, ctitle("`j'", "`var'", "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'1.doc, ctitle("`j'", "`var'" "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19192' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19192' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'2.doc, ctitle("`j'", "`var'" "2nd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19193' `d' dum**  if zeropop1919<=`j' & zeropop1919>=-`j' & year<1926, cluster (code8 zeropop1919) partial(`control_19193' `d' dum**)    
outreg2 Direct_democracy using tables\A12\contreat_form_1919_26`var'3.doc, ctitle("`j'", "`var'" "3rd") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}

//Estimatting mechanism as presented in table 6

foreach var of varlist  no_org_citizen_share   logcap_poor_external  logcap_poor_internal  {
// For forcing variable t-1
ivreg2 `var' (Direct_democracy= min_1d) `controll1' `c' dum**  if zeropop<=70 & zeropop>=-70 , cluster (code8 zeropop) partial(`controll1' `c' dum**)     
outreg2 Direct_democracy using tables\6\contreat_form_min1`var'_70_80.doc, ctitle("70", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy= min_1d) `controll1' `c' dum**  if zeropop<=80 & zeropop>=-80 , cluster (code8 zeropop) partial(`controll1' `c' dum**)     
outreg2 Direct_democracy using tables\6\contreat_form_min1`var'_70_80.doc, ctitle("80", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// up to 25 for forcing variable 1918
ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d' dum**  if zeropop1919<=50 & zeropop1919>=-50 & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 Direct_democracy using tables\6\contreat_form_1919_26`var'_50_60.doc, ctitle("50", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d' dum**  if zeropop1919<=60 & zeropop1919>=-60 & year<1926, cluster (code8 zeropop1919) partial(`control_19191' `d' dum**)    
outreg2 Direct_democracy using tables\6\contreat_form_1919_26`var'_50_60.doc, ctitle("60", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))
}



//Information as in table 7
 
ivreg2 percap_poor many_partlist if zeropop>0, cluster (code8 zeropop)
outreg2 many_partlist using tables\7\one_party.doc, ctitle( "`var'") replace dec(3) 

foreach var of varlist   percap_poor_internal percap_poor_external   no_org_citizen_share shareturnout  {

ivreg2 `var' many_partlist if zeropop>0, cluster (code8 zeropop)
outreg2 many_partlist using tables\7\one_party.doc, ctitle( "`var'") append dec(3) 

}

// Make table 4  (balance)

// first for t-1
foreach var of varlist `c'   {

ivreg2 `var' min_1d `controll1' dum**  if zeropop<=70 & zeropop>=-70 , cluster (code8 zeropop) partial(`controll1' dum**)    
outreg2 min_1d using tables\4\red_form_min1_balance_`var'.doc, ctitle("70", "`var'" "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' min_1d `controll1' dum**  if zeropop<=80 & zeropop>=-80 , cluster (code8 zeropop) partial(`controll1' dum**)    
outreg2 min_1d using tables\4\red_form_min1_balance_`var'.doc, ctitle("80", "`var'" "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}

//then for forcing variable 1918 for the period 1919-25
foreach var of varlist `d' {

ivreg2 `var' d1919 `control_19191' dum** if zeropop1919<=50 & zeropop1919>=-50 & year==1919, cluster (code8 zeropop1919)  partial(`control_19191' )     
outreg2 d1919 using tables\4\red_form_1919_26_balance_`var'.doc, ctitle("50", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

ivreg2 `var' d1919 `control_19191' dum** if zeropop1919<=60 & zeropop1919>=-60 & year==1919, cluster (code8 zeropop1919)  partial(`control_19191' )     
outreg2 d1919 using tables\4\red_form_1919_26_balance_`var'.doc, ctitle("60", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}


// Collapsing the data 1919-1925 as presented in appendix A5
drop if year>1925
collapse (mean) percap_poor logcap_poor zeropop1919 zeropop1919small Direct_democracy d1919 `d' , by(code8) 

local control_19191 zeropop1919 zeropop1919small

// up to 1925 collapsing
//cd T:\

foreach var of varlist logcap_poor Direct_democracy   {

ivreg2 `var' d1919 `control_19191'  if zeropop1919<=20 & zeropop1919>=-20 , cluster (zeropop1919)    
outreg2 d1919 using tables\A51\collapse_red_form_1919_26`var'linear.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

local d  logcap_poor1918 logcap_poor_external1918 logcap_poor_internal1918 no_org_citizen1917_share  nr_poor_relief1917 nr_old_on_poor_relief1917  ///
nr_dir_child_poor_r1917  nr_child_on_poor_r1917  nr_fullpoor_1917  nr_poor_external1917 nr_poor_internal1917  poorhouse1917 ///
poorslots1917  area1918 land_area1918 arable_land1918  realtaxbase1918 shareagri1917   elig_state1917  turnout_state1917 ///
leftvote1917  

ivreg2 `var' d1919 `control_19191' `d'    if zeropop1919<=20 & zeropop1919>=-20  , cluster (zeropop1919)  
outreg2 d1919 using tables\A51\collapse_conred_form_1919_26`var'linear.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

forvalues j= 30(10)60{

ivreg2 `var' d1919 `control_19191'   if zeropop1919<=`j' & zeropop1919>=-`j' , cluster ( zeropop1919)    
outreg2 d1919 using tables\A51\collapse_red_form_1919_26`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))


// with controls	

ivreg2 `var' d1919 `control_19191' `d'   if zeropop1919<=`j' & zeropop1919>=-`j' , cluster ( zeropop1919)  
outreg2 d1919 using tables\A51\collapse_conred_form_1919_26`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}

// Getting the treatment effect

foreach var of varlist logcap_poor   {

ivreg2 `var' (Direct_democracy=d1919) `control_19191'  if zeropop1919<=20 & zeropop1919>=-20 , cluster ( zeropop1919) 
outreg2 Direct_democracy using tables\A51\collapse_treat_form_1919_26`var'linear.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// with controls

ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d'  if zeropop1919<=20 & zeropop1919>=-20, cluster ( zeropop1919) 
outreg2 Direct_democracy using tables\A51\collapse_contreat_form_1919_26`var'linear.doc, ctitle("20", "`var'", "Linear") replace dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

forvalues j= 30(10)60{

ivreg2 `var' (Direct_democracy=d1919) `control_19191'  if zeropop1919<=`j' & zeropop1919>=-`j', cluster (zeropop1919)   
outreg2 Direct_democracy using tables\A51\collapse_treat_form_1919_26`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

// with controls	

ivreg2 `var' (Direct_democracy=d1919) `control_19191' `d'  if zeropop1919<=`j' & zeropop1919>=-`j', cluster (zeropop1919)  
outreg2 Direct_democracy using tables\A51\collapse_contreat_form_1919_26`var'linear.doc, ctitle("`j'", "`var'", "Linear") append dec(3) nocons  ///
noobs  nor addstat(Number of local governments, e(N_clust1), Number of observations, e(N))

}
}











