capture log close
clear 
set more off
set mem 110000m
set matsize 11000

// Use your prefered location
cd T:\Direct_dem_econometrica\

log using BW\optimal_Calonico.log , replace 

use data\Direct_democracy_1919-1938, replace
tsset code8 year, yearly

// This do-file produces the optimal BW using the program from   Calonico, Cattaneo and Titiunik (2013) and of Almond et al. (2010) 


//First from Calonico et al. (2013)

// optimal BW for forcing variable t-1
rdbwselect logcap_poor zeropop if zeropop>=-300 & zeropop<=300,  p(1) all kernel(uni)
// optimal BW for forcing variable population 1918
rdbwselect logcap_poor zeropop1919 if  zeropop1919>=-300 & zeropop1919<=300,  p(1) all kernel(uni)

log close

// This is the program from Almond et al. (2010) and permission to use was given by Almond.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 *this program runs a cross-validation procedure for a pilot bandwidth
*it compares the local-linear regression to a 4th-order polynomial
*on data up to 300g from the threshold
*in terms of the sums of squared errors at 100 equally-spaced points
*separately above and below the threshold

// First optimal BW for t-1

clear all
set more 1
set matsize 800
cap log close 
log using BW\optimal_Almond_t_1.log , replace 
clear all 
macro drop _all 
cap prog drop _all
set mem 2g

local yvar = "logcap_poor"
local n= "50"                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        

// first for the forcing variable t-1

forval i=1(1)100 {
qui {
use data\Direct_democracy_1919-1938, clear
//g sept2=(septeleven+11)
lpoly `yvar' zeropop if zeropop>=-300 & zeropop<=0, degree(1) bwidth(`i') n(`n') gen(`yvar'xL `yvar'yL) triangle adoonly nograph
lpoly `yvar' zeropop if zeropop>0 & zeropop<=300, degree(1) bwidth(`i') n(`n') gen(`yvar'xH `yvar'yH) triangle adoonly nograph

*compare

gen x=0-zeropop
gen xL=0-`yvar'xL
gen z=zeropop
gen zH=`yvar'xH-0

forval p=2(1)4 {
gen b`p'=x^`p'
gen c`p'=z^`p'
gen xL`p'=xL^`p'
gen zH`p'=zH^`p'
}

reg `yvar' x  b2 b3 b4 if zeropop>=-300 & zeropop<=0
gen yhatL=_b[_cons]+xL*_b[x]+xL2*_b[b2]+xL3*_b[b3]+xL4*_b[b4]

gen ydifL2=(yhatL-`yvar'yL)^2 if `yvar'xL>=-300 & `yvar'xL<=0
egen ssrL=sum(ydifL2)
                                              
reg `yvar' z  c2 c3 c4 if zeropop>0 & zeropop1919<=300
gen yhatH=_b[_cons]+ zH*_b[z]+zH2*_b[c2]+zH3*_b[c3]+zH4*_b[c4]
gen ydifH2=(yhatH-`yvar'yH)^2 if `yvar'xH>0 & `yvar'xH<=300
egen ssrH=sum(ydifH2)

sum `yvar' yhatL yhatH 
}


display `i' " " ssrL " " ssrH


}

log close

  
//Second optimal BW for forcing variable 1918
  
clear all
set more 1
set matsize 800
cap log close 
log using BW\optimal_Almond_1918.log , replace 
clear all 
macro drop _all 
cap prog drop _all
set mem 2g


local yvar = "logcap_poor"

local n= "50"                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        

forval i=1(1)100 {
qui {
use data\Direct_democracy_1919-1938, clear
//g sept2=(septeleven+11)
lpoly `yvar' zeropop1919 if zeropop1919>=-300 & zeropop1919<=0, degree(1) bwidth(`i') n(`n') gen(`yvar'xL `yvar'yL) triangle adoonly nograph
lpoly `yvar' zeropop1919 if zeropop1919>0 & zeropop1919<=300, degree(1) bwidth(`i') n(`n') gen(`yvar'xH `yvar'yH) triangle adoonly nograph

*compare

gen x=0-zeropop1919
gen xL=0-`yvar'xL
gen z=zeropop1919
gen zH=`yvar'xH-0

forval p=2(1)4 {
gen b`p'=x^`p'
gen c`p'=z^`p'
gen xL`p'=xL^`p'
gen zH`p'=zH^`p'
}

reg `yvar' x  b2 b3 b4 if zeropop1919>=-300 & zeropop1919<=0
gen yhatL=_b[_cons]+xL*_b[x]+xL2*_b[b2]+xL3*_b[b3]+xL4*_b[b4]

gen ydifL2=(yhatL-`yvar'yL)^2 if `yvar'xL>=-300 & `yvar'xL<=0
egen ssrL=sum(ydifL2)
                                              
reg `yvar' z  c2 c3 c4 if zeropop1919>0 & zeropop1919<=300
gen yhatH=_b[_cons]+ zH*_b[z]+zH2*_b[c2]+zH3*_b[c3]+zH4*_b[c4]
gen ydifH2=(yhatH-`yvar'yH)^2 if `yvar'xH>0 & `yvar'xH<=300
egen ssrH=sum(ydifH2)

sum `yvar' yhatL yhatH 
}


display `i' " " ssrL " " ssrH


}

log close
